LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Claws-mail, libetpan.so.13 and slack 13.1 (http://www.linuxquestions.org/questions/slackware-14/claws-mail-libetpan-so-13-and-slack-13-1-a-846609/)

patostevens 11-25-2010 08:24 PM

Claws-mail, libetpan.so.13 and slack 13.1
 
I've tried this several times and cannot get claws-mail to run. Libetpan has been installed, removed and re-installed. When trying to start c-mail it say cannot find libetpan.so.13 which is accurate - the current installation of libetpan puts in libetpan.so.15. These packages all come from slackbuilds (have also tried Alien's package wtih the same results). This a standard 13.1 install with regular updates through slackpkg.

Any ideas?

hitest 11-25-2010 10:28 PM

Quote:

Originally Posted by patostevens (Post 4171343)
I've tried this several times and cannot get claws-mail to run. Libetpan has been installed, removed and re-installed. When trying to start c-mail it say cannot find libetpan.so.13 which is accurate - the current installation of libetpan puts in libetpan.so.15. These packages all come from slackbuilds (have also tried Alien's package wtih the same results). This a standard 13.1 install with regular updates through slackpkg.

Any ideas?

Odd. I'm happily running claws-mail on two Slackware-current boxes and one 13.1 box. I'm using claws-mail 3.7.7 and libetpan from slackbuilds.org for Slackware 13.1. Maybe try the libetpan for Slackware 13.1 offered at slackbuilds.org.

SeRi@lDiE 11-25-2010 10:56 PM

Mhhh strange I am using the slackbuild claws-mail with no issues... I used the libetpan that I compile some time a go...
If you need the pkg for libetpan let me know....

patostevens 11-26-2010 11:47 AM

My libetpan is the one for 13.1 from slackbuilds. The only issue that I can find is that this package installs libetpan.so.15 rather than 13 - which is what claws-mail is looking for.

dh2k 11-26-2010 12:04 PM

what is a terminal output from
Code:

cd /usr/lib
ls -la | grep libetpan

also - did you build from SlackBuilds.org
for 13.1 or install from a pre-built package? (e.g. http://repository.slacky.eu)

patostevens 11-26-2010 12:11 PM

output below:

ls -la | grep libetpan
-rwxr-xr-x 1 root root 1211 2010-11-25 16:57 libetpan.la
lrwxrwxrwx 1 root root 18 2010-11-25 16:57 libetpan.so -> libetpan.so.15.0.0
lrwxrwxrwx 1 root root 18 2010-11-25 16:57 libetpan.so.15 -> libetpan.so.15.0.0
-rwxr-xr-x 1 root root 620668 2010-11-25 16:57 libetpan.so.15.0.0


As i stated previously, built from Slackbuilds to start with, removed, used Alien Bob's, removed, tried Slackbuilds again. Same results with each attempt.

dh2k 11-26-2010 12:21 PM

In a terminal try
Code:

ln -s /usr/lib/libetpan.so /usr/lib/libetpan.so.13
then try running claws-mail program in terminal see if works or complains more



'libetpan.so.15' is just a link to /usr/lib/libetpan.so

patostevens 11-26-2010 12:39 PM

That did it. Thanks a lot.
So does that make a permanent link or do I need to do something else?

dh2k 11-26-2010 12:40 PM

Also for good house-keeping I recommend, as root
Code:

cd ~
mkdir my-system-symbolic-links
cd my-system-symbolic-links
echo "ln -s /usr/lib/libetpan.so /usr/lib/libetpan.so.13" >> README.txt

Just so in (n)mths time you know what you have changed should you ever remove/upgrade 'libetpan'.

It would not effect the removal of 'libetpan' but it would just be a redundant link - just keeps admin more tidier/eaiser.

dh2k 11-26-2010 12:45 PM

Quote:

Originally Posted by patostevens (Post 4171975)
That did it. Thanks a lot.
So does that make a permanent link or do I need to do something else?

Well, its as permanent until you rm /usr/lib/libetpan.so.13 ;-)

You shouldn't need do anymore.
Just be aware of using a newer version of claws-mail - it may not use libetpan.so.13 - chances are it would use libetpan.so.15

Therefore in (n)mths time you could 'tidy-up' your system and get rid of that link - I would even say leaving it there would have near to nil-problems.

dh2k 11-28-2010 07:20 AM

Hi patostevens,

I had same problem as you with claws-mail -
Claws Mail version 3.7.7 seems to work fine without the link created in this thread.

Do you have "Claws Mail version 3.7.6"?
To check could you post a terminal output for

Code:

claws-mail -v


All times are GMT -5. The time now is 10:52 AM.